local _G = getfenv(0);    -- Holds all the values WoW passes to us, like all the stat names
local abs = abs;          
local modName, L = ...;   -- mod name and mod-specific variables (like localization)

ForTheHorde = {};

-- Saved Variables
local gvif_opts,current_opts;

-- Main Options Window
ForTheHorde.gvif = CreateFrame("Frame",modName,InterfaceFrameOptionsPanelContainer);
ForTheHorde.gvif.name = "For The Horde";
ForTheHorde.gvif:SetWidth( 500 );
ForTheHorde.gvif:SetHeight( 500 );

-- Register events that we listen for
ForTheHorde.gvif:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");

function ForTheHorde.gvif:OnEvent( event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13 ) 
  if ( event == "COMBAT_LOG_EVENT_UNFILTERED" ) then
    if ( arg2 ~= nil and arg2 == "SPELL_AURA_APPLIED" and arg13 ~= nil and arg13 == "Bloodlust" ) then
      PlaySoundFile( "Interface\\AddOns\\ForTheHorde\\bloodlust.mp3" );
    end
  end
end
ForTheHorde.gvif:SetScript("OnEvent",ForTheHorde.gvif.OnEvent);
